pandoc-1.16.0.2: Conversion between markup formats

Copyright | Copyright (C) 2014 Matthew Pickering
License | GNU GPL, version 2 or above
Maintainer | Matthew Pickering <matthewtpickering@gmail.com>
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.Txt2Tags

Description

Conversion of txt2tags formatted plain text to `Pandoc` document.

Synopsis

- readTxt2Tags :: T2TMeta -> ReaderOptions -> String -> Either PandocError Pandoc
- getT2TMeta :: [FilePath] -> FilePath -> IO T2TMeta
- data T2TMeta = T2TMeta {
  - date :: String
  - mtime :: String
  - infile :: FilePath
  - outfile :: FilePath
  }
- readTxt2TagsNoMacros :: ReaderOptions -> String -> Either PandocError Pandoc

# Documentation

readTxt2Tags :: T2TMeta -> ReaderOptions -> String -> Either PandocError Pandoc Source

Read Txt2Tags from an input string returning a Pandoc document

getT2TMeta :: [FilePath] -> FilePath -> IO T2TMeta Source

Get the meta information required by Txt2Tags macros

data T2TMeta Source

An object for the T2T macros meta information the contents of each field is simply substituted verbatim into the file

Constructors

T2TMeta |

Fields

date :: String

  Current date

mtime :: String

  Last modification time of infile

infile :: FilePath

  Input file

outfile :: FilePath

  Output file

Instances

Show T2TMeta Source |
Default T2TMeta Source |

readTxt2TagsNoMacros :: ReaderOptions -> String -> Either PandocError Pandoc Source

Read Txt2Tags (ignoring all macros) from an input string returning a Pandoc document